# encoding: UTF-8
=begin
Created on 2015-04-08

@author: Nikolay Moskvin <moskvin@sibext.com>

=end

module Croket

  class Rack
    def initialize app
      @app = app
    end

    def call env
      begin
        response = @app.call env
      rescue Exception => e
        notify_croket env, e
        raise e
      end
      if framework_exception = env["action_dispatch.exception"]
        notify_croket env, framework_exception
      end
      response
    end

    private

    def notify_croket env, e
      Croket.notify e, env
    end


  end

end
