# encoding: UTF-8
=begin
Created on 2015-04-08

@author: Nikolay Moskvin <moskvin@sibext.com>

=end

module Croket
  module Rails
    def self.initialize
      if defined?(ActionController::Base)
        ActionController::Base.send(:include, Croket::Rails::ActionControllerCatcher)
        ActionController::Base.send(:include, Croket::Rails::ControllerMethods)
      end
      if defined?(::Rails.configuration) && ::Rails.configuration.respond_to?(:middleware)
        ::Rails.configuration.middleware.insert_after 'ActionController::Failsafe',
                                                      Croket::Rack
        #::Rails.configuration.middleware.insert_after 'Rack::Lock',
         #                                             Hahulya::UserInformer
      end
    end
  end
end
